package com.liquidnet.service.kylin.dto.vo.returns;

import com.liquidnet.service.kylin.dto.vo.express.KylinOrderExpressVo;
import com.liquidnet.service.kylin.dto.vo.mongo.KylinOrderTicketVo;
import lombok.Data;

import java.io.Serializable;

@Data
public class OrderRefundVo implements Serializable, Cloneable {
    private static final long serialVersionUID = 579833525354708457L;
    private KylinOrderTicketVo orderTicketVo;
    private KylinOrderRefundsVo kylinOrderRefundsVoBaseList;
    private KylinOrderExpressVo kylinOrderExpressVo;

    private static final OrderRefundVo obj = new OrderRefundVo();

    public static OrderRefundVo getNew() {
        try {
            return (OrderRefundVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new OrderRefundVo();
        }
    }
}
